<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output indent="yes" encoding="UTF-8"/>
  <xsl:template match="@*|node()">
  <xsl:copy>
	<xsl:apply-templates select="@*|node()"/>
  </xsl:copy>
  </xsl:template>
<xsl:template match="sapp-pool">
	<sapp-pool>
		<xsl:for-each select="sapp-package">
            <sapp-item>
              <sapp-spec>
                <sapp-name><xsl:value-of select="sapp-name/text()"/></sapp-name>
                <sapp-version><xsl:value-of select="sapp-version/text()"/></sapp-version>
                <sapp-release><xsl:value-of select="sapp-release/text()"/></sapp-release>
              </sapp-spec>
            </sapp-item>
		</xsl:for-each>
	</sapp-pool>
</xsl:template>
</xsl:stylesheet>
