<fieldset>

<legend>[[backup__fieldset__schedule]]</legend><table width="100%" cellspacing="0" cellpadding="0" border="0"><tr><td>

<table class="formFields" cellspacing="0" width="100%">

<tr>
	<td class="name"><label for="fid-backup_enable">[[backup__scheduled_backup_settings__enable]]</label></td>
	<td><input type="checkbox" class="checkbox" name="backup_enable" id="fid-backup_enable" value="true" {SCHEDULED_BACKUP_ENABLE_CHECKED} /></td>	
</tr>

<tr {BACKUP_PERIOD_ERROR}>
	<td class="name"><label for="fid-backup_period">[[backup__period]]</label></td>
	<td>{BACKUP_PERIOD}</td>
</tr>

<tr {BACKUP_TIME_ERROR}>
	<td class="name"><label for="fid-backup_hour">[[backup__scheduled_backup_settings__start_backup_creation_at]]&nbsp;{REQ}</label></td>
	<td>
		<input type="text" name="backup_hour" id="fid-backup_hour" value="{BACKUP_TIME_HOUR}" size="2" maxlength="2" />
		:
		<input type="text" name="backup_minute" id="fid-backup_minute" value="{BACKUP_TIME_MIN}" size="2" maxlength="2" />
		
		<span id="weeklyBlock" style="display:none;">[[backup__scheduled_backup_settings__every]] {WEEKDAY_LIST}</span>
		<span id="monthlyBlock" style="display:none;">[[backup__scheduled_backup_settings__every]] {MONTHDAY_LIST} [[backup__scheduled_backup_settings__day_of_month]]</span>
	</td>
</tr>

</table>
</td></tr></table>

</fieldset>

<fieldset>

<legend>[[backup__fieldset__backup_settings]]</legend><table width="100%" cellspacing="0" cellpadding="0" border="0"><tr><td>

<table class="formFields" cellspacing="0" width="100%">

<tr {PREFIX_ERROR}>
	<td class="name"><label for="fid-prefix">[[backup__backup_settings__add_prefix_to_name]]</label></td>
	<td><input type="text" name="prefix" id="fid-prefix" value="{PREFIX_VAL}" size="30" maxlength="255" /></td>

</tr>

<tr {SPLIT_SIZE_ERROR}>
	<td class="name"><label for="fid-split_size_on">[[backup__backup_settings__create_multivolume_backup]]</label></td>
	<td>
		<input type="checkbox" class="checkbox" name="split_size_on" value="true" id="fid-split_size_on"  {SPLIT_SIZE_CHECKED} onClick="splitBackupChanged();">
		<label for="fid-split_size">&nbsp;[[backup__backup_settings__volume_size]]&nbsp;</label>
		<input type="text" name="split_size" id="fid-split_size" value="{SPLIT_SIZE_VALUE}" size=8 maxlength=8 />[[__mb]]{SPLIT_SIZE_ERROR_DESC}
	</td>
</tr>

<tr>
	<td class="name">[[backup__backup_settings__store_backup_in]]</td>
	<td>
		<!-- BEGIN DYNAMIC BLOCK: local_repository -->
		<div class="option"><input name="repository" id="fid-store_repository-local" value="local" type="radio" class="radiobox" {REPOSITORY_LOCAL_CHECKED}>&nbsp;<label for="fid-store_repository-local">[[backup__backup_settings__local_repository]]</label></div>
		<!-- END DYNAMIC BLOCK: local_repository -->
		<!-- BEGIN DYNAMIC BLOCK: ftp_repository -->
		<div class="option"><input name="repository" id="fid-store_repository-ftp" value="ftp" type="radio" class="radiobox" {REPOSITORY_FTP_CHECKED}>&nbsp;<label for="fid-store_repository-ftp">[[backup__backup_settings__custom_ftp_repository]]</label>{FTP_NOT_CONFIGURED}</div>		
		<!-- END DYNAMIC BLOCK: ftp_repository -->
	</td>
</tr>

<tr {ROTATION_ERROR}>
	<td class="name"><label for="fid-max_dump_files">[[backup__scheduled_backup_settings__max_number_of_backups]]</label></td>
	<td><input type="text" name="max_dump_files" id="fid-max_dump_files" value="{MAX_DUMP_FILES_VAL}" size="5" maxlength="4"><br/>
	<span class="hint">[[backup__scheduled_backup_settings__max_dump_files_hint]]</span>
	</td>
</tr>

<tr {EMAIL_ERROR}>
	<td class="name"><label for="fid-email">[[backup__scheduled_backup_settings__send_notification_to_email]]</label></td>
	<td><input type="text" name="email" id="fid-email" value="{EMAIL_VAL}" size="30" maxlength="255"></td>
</tr>

</table>
</td></tr></table>

</fieldset>

<fieldset>

<legend>[[backup__fieldset__content_of_backup]]</legend><table width="100%" cellspacing="0" cellpadding="0" border="0"><tr><td>

<table class="formFields" cellspacing="0" width="100%">

<tr>
	<td class="name">[[backup__scheduled_backup_settings__backup]]</td>
	<td>
		<div class="option"><input name="backup_content" id="fid-backup_content_configuration" value="configuration" type="radio" class="radiobox" {BACKUP_CONFIGURATION_CHECKED} />&nbsp;<label for="fid-backup_content_configuration">{BACKUP_CONTENT_CONFIGURATION}</label></div>
		<div class="option"><input name="backup_content" id="fid-backup_content_all" value="all" type="radio" class="radiobox" {BACKUP_ALL_CHECKED} />&nbsp;<label for="fid-backup_content_all">{BACKUP_CONTENT_CONFIGURATION_AND_CONTENT}</label></div>
	</td>
</tr>

<!-- BEGIN DYNAMIC BLOCK: suspend_domain_block -->
	<tr>
		<td class="name"><label for="fid-suspend_domain_checkbox">{SUSPEND_DOMAIN_MESSAGE}</label></td>
		<td class="withWarning"><input type="checkbox" class="checkbox" name="suspend_domain_checkbox" id="fid-suspend_domain_checkbox" value="true" {SUSPEND_DOMAIN_CHECKED}  />
		<input type="hidden" id="fid-suspend" name="suspend" value="" />
		<span id='suspend_domain_warning' style="display:none;" class="warningHint">{SUSPEND_DOMAIN_WARNING}</span>
		</td>
	</tr>
<!-- END DYNAMIC BLOCK: suspend_domain_block -->

</table>
</td></tr></table>

</fieldset>