class StopProcessing(Exception):
    pass

def walkBackup(b, visitor):
    try:
        visitor.visitMetadata(b.getMetadata())
      
        for (contentId, bundle) in b.getContents():
            visitor.visitBundle(contentId, bundle)
    except StopProcessing:
        pass

# Local Variables:
# mode: python
# indent-tabs-mode: nil
# tab-width: 4
# End:                     
