import subproc

class PMMUtilityException(subproc.NonzeroExitException):
    def __init__(self, utility, nonzero_exit_exception):
        subproc.NonzeroExitException.__init__(self, nonzero_exit_exception.subprocess,nonzero_exit_exception.exitcode)
        self.__utility = utility

    def utility(self):
        return self.__utility

class PMMException(Exception):
    def __init__(self, code, description):
        Exception.__init__(self, description)
        self.__code = code
        
    def getCode(self):
        return self.__code;

class PMMHostNotAccessibleException(PMMException):
    def __init__(self, description):
        PMMException.__init__(self, 130, description)
