from xml.sax import handler, make_parser

def detect(filename):
    agentName = [""]

    class StopHandling(Exception): pass

    class SaxHandler(handler.ContentHandler):
        def startElement(self, name, attrs):
            if attrs.has_key('agent-name'):
                agentName[0] = attrs['agent-name']
            raise StopHandling

    try:
        parser = make_parser()
        parser.setContentHandler(SaxHandler())
        parser.parse(file(filename))
    except StopHandling:
        pass

    return agentName[0]
